image: debian:sid-slim

before_script:
  - apt-get update -qq
  - apt-get install cmake libgtest-dev -y
  - mkdir -p gitlab-ci-build
  - cd gitlab-ci-build

gcc-latest:
  script:
    - apt-get install g++ -y
    - cmake -DCMAKE_CXX_COMPILER=g++ ..
    - cmake --build .
    - ./testing

clang-latest:
  script:
    - apt-get install clang -y
    - cmake -DCMAKE_CXX_COMPILER=clang++ ..
    - cmake --build .
    - ./testing